jenkins_arch.sh: Exit with error on unknown architecture

The jenkins build job used to call this script using an "arch"
it doesn't understand.  This should have resulted in an error,
but it didn't as there was a missing "exit 1" statement :(

Related: OS#3360
Change-Id: Ib27c9ebaf2630c432b1923f8e14b36e7772a6033
diff --git a/contrib/jenkins_arch.sh b/contrib/jenkins_arch.sh
index cf9546e..99ce5c1 100755
--- a/contrib/jenkins_arch.sh
+++ b/contrib/jenkins_arch.sh
@@ -29,5 +29,6 @@
   *)
     set +x
     echo "Unexpected architecture '$arch'"
+    exit 1
   ;;
 esac